Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authentication
Interface OpenLDAPAuthenticatorMBean

public interface OpenLDAPAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, LDAPAuthenticatorMBean

This MBean specifies the LDAP schema definitions for the Open LDAP Authentication provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getGroupBaseDN()` The base distinguished name (DN) of the tree in the LDAP directory that contains groups.
`java.lang.String` | `getGroupFromNameFilter()` An LDAP search filter for finding a group given the name of the group.
`java.lang.String` | `getStaticGroupDNsfromMemberDNFilter()` An LDAP search filter that, given the distinguished name (DN) of a member of a group, returns the DNs of the static LDAP broups that contain that member.
`java.lang.String` | `getStaticGroupObjectClass()` The name of the LDAP object class that stores static groups.
`java.lang.String` | `getStaticMemberDNAttribute()` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
`java.lang.String` | `getUserBaseDN()` The base distinguished name (DN) of the tree in the LDAP directory that contains users.
`java.lang.String` | `getUserFromNameFilter()` An LDAP search filter for finding a user given the name of the user.
`java.lang.String` | `getUserNameAttribute()` The attribute of an LDAP user object that specifies the name of the user.
`void` | `setGroupBaseDN(java.lang.String newValue)` The base distinguished name (DN) of the tree in the LDAP directory that contains groups.
`void` | `setGroupFromNameFilter(java.lang.String newValue)` An LDAP search filter for finding a group given the name of the group.
`void` | `setStaticGroupDNsfromMemberDNFilter(java.lang.String newValue)` An LDAP search filter that, given the distinguished name (DN) of a member of a group, returns the DNs of the static LDAP broups that contain that member.
`void` | `setStaticGroupObjectClass(java.lang.String newValue)` The name of the LDAP object class that stores static groups.
`void` | `setStaticMemberDNAttribute(java.lang.String newValue)` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
`void` | `setUserBaseDN(java.lang.String newValue)` The base distinguished name (DN) of the tree in the LDAP directory that contains users.
`void` | `setUserFromNameFilter(java.lang.String newValue)` An LDAP search filter for finding a user given the name of the user.
`void` | `setUserNameAttribute(java.lang.String newValue)` The attribute of an LDAP user object that specifies the name of the user.

Methods inherited from interface weblogic.security.providers.authentication.LDAPAuthenticatorMBean
`getAllGroupsFilter, getAllUsersFilter, getDescription, getDynamicGroupNameAttribute, getDynamicGroupObjectClass, getDynamicMemberURLAttribute, getGroupMembershipSearching, getGroupSearchScope, getIgnoreDuplicateMembership, getMaxGroupMembershipSearchLevel, getProviderClassName, getStaticGroupNameAttribute, getUserDynamicGroupDNAttribute, getUseRetrievedUserNameAsPrincipal, getUserObjectClass, getUserSearchScope, getVersion, setAllGroupsFilter, setAllUsersFilter, setDynamicGroupNameAttribute, setDynamicGroupObjectClass, setDynamicMemberURLAttribute, setGroupMembershipSearching, setGroupSearchScope, setIgnoreDuplicateMembership, setMaxGroupMembershipSearchLevel, setStaticGroupNameAttribute, setUserDynamicGroupDNAttribute, setUseRetrievedUserNameAsPrincipal, setUserObjectClass, setUserSearchScope`

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.utils.LDAPServerMBean
`getCacheSize, getCacheTTL, getConnectionRetryLimit, getConnectTimeout, getCredential, getHost, getParallelConnectDelay, getPort, getPrincipal, getResultsTimeLimit, isBindAnonymouslyOnReferrals, isCacheEnabled, isFollowReferrals, isSSLEnabled, setBindAnonymouslyOnReferrals, setCacheEnabled, setCacheSize, setCacheTTL, setConnectionRetryLimit, setConnectTimeout, setCredential, setFollowReferrals, setHost, setParallelConnectDelay, setPort, setPrincipal, setResultsTimeLimit, setSSLEnabled`

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.security.authentication.GroupMemberListerMBean
`listGroupMembers`

Methods inherited from interface weblogic.management.security.authentication.MemberGroupListerMBean
`listMemberGroups`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean
`getEnableGroupMembershipLookupHierarchyCaching, getGroupHierarchyCacheTTL, getMaxGroupHierarchiesInCache, setEnableGroupMembershipLookupHierarchyCaching, setGroupHierarchyCacheTTL, setMaxGroupHierarchiesInCache`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getUserNameAttribute

    public java.lang.String getUserNameAttribute()

  The attribute of an LDAP user object that specifies the name of the user.
  Specified by:
    getUserNameAttribute in interface LDAPAuthenticatorMBean

  Default Value: "cn"
  Legal NULL: true

### setUserNameAttribute

    public void setUserNameAttribute(java.lang.String newValue)
                              throws javax.management.InvalidAttributeValueException

  The attribute of an LDAP user object that specifies the name of the user.
  Specified by:
    setUserNameAttribute in interface LDAPAuthenticatorMBean

  Default Value: "cn"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute UserNameAttribute
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserBaseDN

    public java.lang.String getUserBaseDN()

  The base distinguished name (DN) of the tree in the LDAP directory that contains users.
  Specified by:
    getUserBaseDN in interface LDAPAuthenticatorMBean

  Default Value: "ou=people, dc=example, dc=com"
  Legal NULL: true

### setUserBaseDN

    public void setUserBaseDN(java.lang.String newValue)
                       throws javax.management.InvalidAttributeValueException

  The base distinguished name (DN) of the tree in the LDAP directory that contains users.
  Specified by:
    setUserBaseDN in interface LDAPAuthenticatorMBean

  Default Value: "ou=people, dc=example, dc=com"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute UserBaseDN
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserFromNameFilter

    public java.lang.String getUserFromNameFilter()

  An LDAP search filter for finding a user given the name of the user. If the attribute (user name attribute and user object class) is not specified (that is, if the attribute is null or empty), a default search filter is created based on the user schema.
  Specified by:
    getUserFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(cn=%u)(objectclass=person))"
  Legal NULL: true

### setUserFromNameFilter

    public void setUserFromNameFilter(java.lang.String newValue)
                               throws javax.management.InvalidAttributeValueException

  An LDAP search filter for finding a user given the name of the user. If the attribute (user name attribute and user object class) is not specified (that is, if the attribute is null or empty), a default search filter is created based on the user schema.
  Specified by:
    setUserFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(cn=%u)(objectclass=person))"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute UserFromNameFilter
  Throws:
    javax.management.InvalidAttributeValueException -

### getGroupBaseDN

    public java.lang.String getGroupBaseDN()

  The base distinguished name (DN) of the tree in the LDAP directory that contains groups.
  Specified by:
    getGroupBaseDN in interface LDAPAuthenticatorMBean

  Default Value: "ou=groups, dc=example, dc=com"
  Legal NULL: true

### setGroupBaseDN

    public void setGroupBaseDN(java.lang.String newValue)
                        throws javax.management.InvalidAttributeValueException

  The base distinguished name (DN) of the tree in the LDAP directory that contains groups.
  Specified by:
    setGroupBaseDN in interface LDAPAuthenticatorMBean

  Default Value: "ou=groups, dc=example, dc=com"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute GroupBaseDN
  Throws:
    javax.management.InvalidAttributeValueException -

### getGroupFromNameFilter

    public java.lang.String getGroupFromNameFilter()

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.
  Specified by:
    getGroupFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(cn=%g)(objectclass=groupofnames))"
  Legal NULL: true

### setGroupFromNameFilter

    public void setGroupFromNameFilter(java.lang.String newValue)
                                throws javax.management.InvalidAttributeValueException

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.
  Specified by:
    setGroupFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(cn=%g)(objectclass=groupofnames))"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute GroupFromNameFilter
  Throws:
    javax.management.InvalidAttributeValueException -

### getStaticGroupObjectClass

    public java.lang.String getStaticGroupObjectClass()

  The name of the LDAP object class that stores static groups.
  Specified by:
    getStaticGroupObjectClass in interface LDAPAuthenticatorMBean

  Default Value: "groupofnames"
  Legal NULL: true

### setStaticGroupObjectClass

    public void setStaticGroupObjectClass(java.lang.String newValue)
                                   throws javax.management.InvalidAttributeValueException

  The name of the LDAP object class that stores static groups.
  Specified by:
    setStaticGroupObjectClass in interface LDAPAuthenticatorMBean

  Default Value: "groupofnames"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute StaticGroupObjectClass
  Throws:
    javax.management.InvalidAttributeValueException -

### getStaticMemberDNAttribute

    public java.lang.String getStaticMemberDNAttribute()

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
  Specified by:
    getStaticMemberDNAttribute in interface LDAPAuthenticatorMBean

  Default Value: "member"
  Legal NULL: true

### setStaticMemberDNAttribute

    public void setStaticMemberDNAttribute(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
  Specified by:
    setStaticMemberDNAttribute in interface LDAPAuthenticatorMBean

  Default Value: "member"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute StaticMemberDNAttribute
  Throws:
    javax.management.InvalidAttributeValueException -

### getStaticGroupDNsfromMemberDNFilter

    public java.lang.String getStaticGroupDNsfromMemberDNFilter()

  An LDAP search filter that, given the distinguished name (DN) of a member of a group, returns the DNs of the static LDAP broups that contain that member.
  Specified by:
    getStaticGroupDNsfromMemberDNFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(member=%M)(objectclass=groupofnames))"
  Legal NULL: true

### setStaticGroupDNsfromMemberDNFilter

    public void setStaticGroupDNsfromMemberDNFilter(java.lang.String newValue)
                                             throws javax.management.InvalidAttributeValueException

  An LDAP search filter that, given the distinguished name (DN) of a member of a group, returns the DNs of the static LDAP broups that contain that member.
  Specified by:
    setStaticGroupDNsfromMemberDNFilter in interface LDAPAuthenticatorMBean

  Default Value: "(&(member=%M)(objectclass=groupofnames))"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute StaticGroupDNsfromMemberDNFilter
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD